/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { AnnotationLayerDescription } from "./AnnotationLayerDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let SummaryToolTipLayerDescription = /*@__PURE__*/ (() => {
    class SummaryToolTipLayerDescription extends AnnotationLayerDescription {
        constructor() {
            super();
            this.c8 = false;
        }
        get_type() {
            return "SummaryToolTipLayer";
        }
        get useInterpolation() {
            return this.c8;
        }
        set useInterpolation(a) {
            this.c8 = a;
            this.e("UseInterpolation");
        }
    }
    SummaryToolTipLayerDescription.$t = markType(SummaryToolTipLayerDescription, 'SummaryToolTipLayerDescription', AnnotationLayerDescription.$);
    return SummaryToolTipLayerDescription;
})();
